Vla-put-check

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-put-check vla-object bool)


機能
ポップアップのメニュー項目のチェック状態を指定する。


引数
  • vla-object … PopupMenuItem のVLAオブジェクト
  • bool …
  •  :vlax-True: ポップアップ メニュー項目にチェック マークを表示。
  •  :vlax-False: ポップアップ メニュー項目にチェック マークを非表示。


戻り値
nil


サンプル
(vl-load-com)
(defun c:Example_Check()
    ;; テスト メニューという名の新しいメニューを作成し、2 つのメニュー項目を挿入。2 番目のメニュー項目、チェックされます。
    ;; メニューは、メニュー バーに表示されます。このマクロの実行後、メニューを削除するには、メニューをカスタマイズに使用します。
    (setq acadObj (vlax-get-acad-object))
    (setq currMenuGroup (vla-Item (vla-get-MenuGroups acadObj) 0))
    
    ;; 新メニューを作成
    (setq newMenu (vla-Add (vla-get-Menus currMenuGroup) "TestMenu"))
    
    ;; 新しいメニューに 2 つのメニュー項目を追加する。
    ;; 「ESC ESC _open」に相当するマクロ文字列を割り当てる
    (setq openMacro (strcat (Chr 3) (Chr 3) (Chr 95) "open" (Chr 32)))
    
    (setq Menu1 (vla-AddMenuItem newMenu (1+ (vla-get-Count newMenu)) "Open1" openMacro))
    (setq MenuSeparator (vla-AddSeparator newMenu ""))
    (setq Menu2 (vla-AddMenuItem newMenu (1+ (vla-get-Count newMenu)) "Open2" openMacro))
    
    ;; 新しいアイテムを無効化
    (vla-put-Check Menu2 :vlax-true)
    
    ;; メニューをメニューバーに表示
    (vla-InsertInMenuBar newMenu (1+ (vla-get-Count (vla-get-MenuBar acadObj))))
)

関連事項